libsigc++ 2.6.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::bound_mem_functor0< T_return, T_obj > Class Template Reference
Functors » mem_fun()

bound_mem_functor0 encapsulates a method with 0 arguments and an object instance. More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::bound_mem_functor0< T_return, T_obj >:
[legend]

## Public Types
typedef base_type_::function_type | function_type
Public Types inherited from sigc::mem_functor0< T_return, T_obj >
typedef T_return(T_obj::* | function_type) ()
typedef T_return | result_type

## Public Member Functions
| bound_mem_functor0 (T_obj* _A_obj, function_type _A_func)
| Constructs a bound_mem_functor0 object that wraps the passed method. More...
| bound_mem_functor0 (T_obj& _A_obj, function_type _A_func)
| Constructs a bound_mem_functor0 object that wraps the passed method. More...
T_return | operator() () const
| Execute the wrapped method operating on the stored instance. More...
Public Member Functions inherited from sigc::mem_functor0< T_return, T_obj >
| mem_functor0 ()
| Constructs an invalid functor. More...
| mem_functor0 (function_type _A_func)
| Constructs a mem_functor0 object that wraps the passed method. More...
T_return | operator() (T_obj* _A_obj) const
| Execute the wrapped method operating on the passed instance. More...
T_return | operator() (T_obj& _A_obj) const
| Execute the wrapped method operating on the passed instance. More...

## Public Attributes
limit_reference< T_obj > | obj_

## Additional Inherited Members
Protected Attributes inherited from sigc::mem_functor0< T_return, T_obj >
function_type | func_ptr_

## Detailed Description

### template<class T_return, class T_obj>
class sigc::bound_mem_functor0< T_return, T_obj >

bound_mem_functor0 encapsulates a method with 0 arguments and an object instance.

Use the convenience function mem_fun() to create an instance of bound_mem_functor0.

The following template arguments are used:

- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

template <class T_return , class T_obj >

typedef base_type_::function_type sigc::bound_mem_functor0< T_return, T_obj >::function_type

## Constructor & Destructor Documentation

template <class T_return , class T_obj >

sigc::bound_mem_functor0< T_return, T_obj >::bound_mem_functor0 | ( | T_obj * | _A_obj,
|  | function_type | _A_func
| ) |  |
| inline

Constructs a bound_mem_functor0 object that wraps the passed method.

Parameters

  _A_obj | Pointer to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

template <class T_return , class T_obj >

sigc::bound_mem_functor0< T_return, T_obj >::bound_mem_functor0 | ( | T_obj & | _A_obj,
|  | function_type | _A_func
| ) |  |
| inline

Constructs a bound_mem_functor0 object that wraps the passed method.

Parameters

  _A_obj | Reference to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return , class T_obj >

T_return sigc::bound_mem_functor0< T_return, T_obj >::operator() | ( |  | ) | const
| inline

Execute the wrapped method operating on the stored instance.

Returns
  The return value of the method invocation.

## Member Data Documentation

template <class T_return , class T_obj >

limit_reference<T_obj> sigc::bound_mem_functor0< T_return, T_obj >::obj_